user/apache-httpd: upgrade to 2.4.52 [CVE]

Síle Ekaterin Liszka requested to merge apache-httpd/2.4.52 into zv-next

Merge request reports